Bug 433703 - update iscsi policy for isns
update iscsi policy for isns
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 17:09 EST by Mike Christie
Modified: 2008-05-21 12:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux output (2.43 KB, application/octet-stream)
2008-02-20 17:09 EST, Mike Christie
no flags Details
patch to allow isns discovery (691 bytes, text/x-patch)
2008-02-20 17:11 EST, Mike Christie
no flags Details
selinux port outpout (2.70 KB, text/plain)
2008-02-21 12:11 EST, Mike Christie
no flags Details

  None (edit)
Description Mike Christie 2008-02-20 17:09:20 EST
Description of problem:

When running isns discovery with iscsiadm/iscsid we get the selinux error in the
attachment.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Christie 2008-02-20 17:09:52 EST
Created attachment 295460 [details]
selinux output

Here is the selinux output.
Comment 2 Mike Christie 2008-02-20 17:11:47 EST
Created attachment 295461 [details]
patch to allow isns discovery

Here is a patch made over 2.4.6-121.

I know it is late. As I said in the other bz, I have been running without
selinux on all my machines when I thought it was always on, so I have been
redoing all my testing and Barry/QE has been catching the ones I have not
started on. Sorry about all this.
Comment 3 RHEL Product and Program Management 2008-02-20 17:17:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Daniel Walsh 2008-02-20 17:21:19 EST
The AVC messages that you attached is incorrect.  Did you hand edit this or was
it created by the kernel directly?
Comment 5 Daniel Walsh 2008-02-20 17:21:58 EST
The avc specifies the port as being iscsi_t rather then port_t.
Comment 6 Mike Christie 2008-02-21 12:11:31 EST
Created attachment 295541 [details]
selinux port outpout

I found the problem. Originally I got the attached selinux error, and for the
PORT_TYPE I typed in iscsid_t instead of iscsi_port_t. When I use the correct
type I do not need the change in the other comment.

Is there any way I can make it so open-iscsi can always use port 3205 at least?
It is the default port for isns traffic in the isns spec, or do we always have
to do the semanage port command?
Comment 7 Daniel Walsh 2008-02-21 13:17:43 EST
Fixed in selinux-policy-2.4.6-122.el5
Comment 9 Eduard Benes 2008-04-14 08:55:50 EDT
Mike, could you please try the latest selinux policy (128 or >121) and reply 
here whether it solves the problem? Thanks.
Comment 11 errata-xmlrpc 2008-05-21 12:07:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html

Note You need to log in before you can comment on or make changes to this bug.